DAVEGNUKEM(6)

NAME
davegnukem - A retro-style 2D scrolling platform shooter

SYNOPSIS
davegnukem [OPTIONS]

DESCRIPTION
Dave Gnukem is an open source retro-style 2D scrolling platform shooter, inspired by and similar to Duke Nukem 1. It is written in C++ using SDL library and it features an integrated level editor as well.

OPTIONS

-f  Fullscreen.

-640
    Set resolution to 640x480.

-scale NUMBER
    Force window size to multiple of 320x200 base resolution.

-datadir DIR
    Override default data path, it may be absolute or relative.

GAMEPLAY
Try find the exit, while dodging or shooting monsters.

DEFAULT KEYS

Left/Right
    Move left/right

Ctrl
    Jump

Alt Shoot

Up  Action key for opening doors, using teleporters or lifts, activating the exit, etc

Esc In-game menu

6/7 Decrease/increase volume

Insert
    Toggle sounds

Shift+F6/F7
    Decrease/increase speed (framerate)

Shift+F8/F9
    Toggle map/sprite auto-shadows

F10 Save screenshot

LEVEL EDITOR
To enter the level editor you must first enable DebugStuff by pressing Ctrl+Shift+G. Then use F5 to invoke the level editor or F4 for the sprite one. See the README for more details about both the debug mode and the editors.

SEE ALSO
More information can be found in the README and on the website https://djoffe.com/gnukem/

AUTHOR
Dave Gnukem was written by David Joffe <david at djoffe.com>.
This manual page was written by Matteo Bini <matteobin@tiepi.it>.